jp.cssj.cti2.results

## Class DirectoryResults

- java.lang.Object
- - jp.cssj.cti2.results.DirectoryResults

- All Implemented Interfaces:
    Results

      public class DirectoryResults
      extends Object
      implements Results

  ディレクトリに複数の結果を出力するResultsです。
  Version:
    $Id: DirectoryResults.java 1552 2018-04-26 01:43:24Z miyabe $
  Author:
    MIYABE Tatsuhiko

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `counter`
    `protected File` | `dir`
    `protected String` | `prefix`
    `protected String` | `suffix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryResults(File dir, String prefix, String suffix)` 出力先ディレクトリとファイル名の前後を指定してオブジェクトを構築します。

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()` 一連のデータ出力を完了します。
    `boolean` | `hasNext()` 次の結果を出力可能であればtrueを返します。
    `RandomBuilder` | `nextBuilder(MetaSource metaSource)` 次の処理結果を構築するためのビルダを返します。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dir

          protected final File dir

    - #### prefix

          protected final String prefix

    - #### suffix

          protected final String suffix

    - #### counter

          protected int counter

  - ### Constructor Detail

    - #### DirectoryResults

          public DirectoryResults(File dir,
                                  String prefix,
                                  String suffix)

      出力先ディレクトリとファイル名の前後を指定してオブジェクトを構築します。

      ファイルはdirに出力され、ファイル名は prefix, 1から始まる通し番号, suffixを連結したものとなります。

      Parameters:
        `dir` - 出力先ディレクトリです。
        `prefix` - ファイル名の前に付ける文字列です。
        `suffix` - ファイル名の後に付ける文字列です。

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Description copied from interface: `Results`
      次の結果を出力可能であればtrueを返します。
      Specified by:
        `hasNext` in interface `Results`
      Returns:
        次の結果を出力可能であればtrueそうでなければfalse。

    - #### nextBuilder

          public RandomBuilder nextBuilder(MetaSource metaSource)

      Description copied from interface: `Results`
      次の処理結果を構築するためのビルダを返します。
      Specified by:
        `nextBuilder` in interface `Results`
      Parameters:
        `metaSource` - 出力データのメタ情報。
      Returns:
        データ構築オブジェクト。

    - #### end

          public void end()

      Description copied from interface: `Results`
      一連のデータ出力を完了します。
      Specified by:
        `end` in interface `Results`

Copyright © 2018 座間ソフト. All rights reserved.